# std::literals::chrono_literals::operator""d

From cppreference.com
< cpp‎ | chrono

Defined in header `<chrono>` |  |
constexpr std::chrono::day operator ""d(unsigned long long d) noexcept; | (1) | (since C++20)

Forms a std::chrono::day literal representing a day of the month in the calendar.

### Parameters

d | - | the day value

### Return value

A std::chrono::day storing `d`. If d > 255, the stored value is unspecified.

### Possible implementation

    constexpr std::chrono::day operator ""d(unsigned long long d) noexcept
    {
        return std::chrono::day(d);
    }

### Notes

This operator is declared in the namespace `std::literals::chrono_literals`, where both `literals` and `chrono_literals` are inline namespaces. Access to this operator can be gained with using namespace std::literals, using namespace std::chrono_literals, and using namespace std::literals::chrono_literals.

In addition, within the namespace `std::chrono`, the directive using namespace literals::chrono_literals; is provided by the standard library, so that if a programmer uses using namespace std::chrono; to gain access to the classes in the chrono library, the corresponding literal operators become visible as well.

### Example

| This section is incomplete Reason: no example

### See also

(constructor) | constructs a `day` (public member function of `std::chrono::day`)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/operator%22%22d&oldid=104732"